Package org.springframework.aop.config

# Class AopNamespaceUtils

java.lang.Object
org.springframework.aop.config.AopNamespaceUtils

public abstract class AopNamespaceUtils extends Object
Utility class for handling registration of auto-proxy creators used internally by the '`aop`' namespace tags.

Only a single auto-proxy creator should be registered and multiple configuration elements may wish to register different concrete implementations. As such this class delegates to `AopConfigUtils` which provides a simple escalation protocol. Callers may request a particular auto-proxy creator and know that creator, or a more capable variant thereof, will be registered as a post-processor.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller, Mark Fisher
See Also:
  - `AopConfigUtils`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROXY_TARGET_CLASS_ATTRIBUTE`
The `proxy-target-class` attribute as found on AOP-related XML tags.

## Constructor Summary

Constructors
Constructor
Description
`AopNamespaceUtils()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`registerAspectJAnnotationAutoProxyCreatorIfNecessary(org.springframework.beans.factory.xml.ParserContext parserContext, Element sourceElement)`
`static void`
`registerAspectJAutoProxyCreatorIfNecessary(org.springframework.beans.factory.xml.ParserContext parserContext, Element sourceElement)`
`static void`
`registerAutoProxyCreatorIfNecessary(org.springframework.beans.factory.xml.ParserContext parserContext, Element sourceElement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROXY_TARGET_CLASS_ATTRIBUTE

public static final String PROXY_TARGET_CLASS_ATTRIBUTE
The `proxy-target-class` attribute as found on AOP-related XML tags.

See Also:
  - Constant Field Values

## Constructor Details

### AopNamespaceUtils

public AopNamespaceUtils()

## Method Details

### registerAutoProxyCreatorIfNecessary

public static void registerAutoProxyCreatorIfNecessary(org.springframework.beans.factory.xml.ParserContext parserContext, Element sourceElement)

### registerAspectJAutoProxyCreatorIfNecessary

public static void registerAspectJAutoProxyCreatorIfNecessary(org.springframework.beans.factory.xml.ParserContext parserContext, Element sourceElement)

### registerAspectJAnnotationAutoProxyCreatorIfNecessary

public static void registerAspectJAnnotationAutoProxyCreatorIfNecessary(org.springframework.beans.factory.xml.ParserContext parserContext, Element sourceElement)